Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class DataFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.util.zip.DataFormatException

All Implemented Interfaces:
  Serializable

    public class DataFormatException

extends Exception

Signals that a data format error has occurred.

See Also:
  Serialized Form

Constructor Summary
`DataFormatException()` Constructs a DataFormatException with no detail message.
`DataFormatException(String s)` Constructs a DataFormatException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataFormatException

    public DataFormatException()

  Constructs a DataFormatException with no detail message.

### DataFormatException

    public DataFormatException(String s)

  Constructs a DataFormatException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the String containing a detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.